package util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;

public class FileUtil {

//	final static String VERSION = "Version:";
//	final static String MIM_FILE_ERROR_STR = "First line of MIM file must contain \"" + FileUtil.VERSION + "\"";

	public static Logger logger = Logger.getLogger(FileUtil.class);

	
	public void uploadFile(File f) throws IOException {
		
		List<String> fileLines = writeFileLinesToList(f);
		
		logger.info("Uploading " + fileLines.size() + " lines from file " + f.getName());
	}
	

	public List<String> writeFileLinesToList(File f) throws IOException {
		
		FileReader fr = null;
		BufferedReader br = null;
		String line = "";
		List<String> lines = new ArrayList<String>();
		
		try {
			fr = new FileReader(f);
			br = new BufferedReader(fr);

			while (((line=br.readLine()) != null) && (StringUtils.isNotBlank(line)))
					lines.add(line);

		} catch (IOException ex) {

			logger.error(ex);
			throw ex;
		} finally {
			
			try {
			 if (br!=null)
				 br.close();
			} catch (IOException ex) {
				logger.error(ex);
			}
			
			try {
			 if (br!=null)
				 fr.close();
			} catch (IOException ex) {
				logger.error(ex);
			}
		}
		
		return lines;

	}
}
