package com.corp.serv.reports.filelinesloaders;

import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;

public class MimFileLinesLoaderV0_1 implements MimFileLinesLoaderI {

	public static final String VERION = "0.1";

	public static Logger logger = Logger.getLogger(MimFileLinesLoaderV0_1.class);

	public void loadMimFileLines(List<String> fileLines) {

		logger.info(fileLines.size() + "lines.");
		for (String s : fileLines)
			logger.info(s);
		
	}

	public boolean verifyFileVersion(List<String> fileLines) {
		
		MimFileLinesUtil util = new MimFileLinesUtil();
		
		String fileVersion = util.getMimFileVersion(fileLines);
		if (!StringUtils.equalsIgnoreCase(MimFileLinesLoaderV0_1.VERION, fileVersion)) {
			
			String s = "Wrong File Version.  File Version is " + fileVersion + ", must be " + MimFileLinesLoaderV0_1.VERION;
			logger.error(s);
			throw new RuntimeException(s);
		}
		
		return true;
	}

}
