package com.corp.serv.reports.filelinesloaders;

import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;

public class MimFileLinesUtil {

	final static String VERSION = "Version:";
	final static String MIM_FILE_ERROR_STR = "First line of MIM file must contain \"" + MimFileLinesUtil.VERSION + "\"";

	public static Logger logger = Logger.getLogger(MimFileLinesUtil.class);

	public String getMimFileVersion(List<String> fileLines) {
		
		String firstLine = fileLines.get(0);
		String[] tokens = StringUtils.split(firstLine, ',');

		if ((tokens==null) || (tokens.length < 1))
			throw new RuntimeException(MimFileLinesUtil.MIM_FILE_ERROR_STR + ".  First line: \"" + firstLine + "\"");
			
		String firstToken = tokens[0];
		int n = StringUtils.indexOfIgnoreCase(firstToken, MimFileLinesUtil.VERSION);
		
		String versionStr = "";
		if (n > -1)
			versionStr = StringUtils.strip(StringUtils.substring(firstToken, n + MimFileLinesUtil.VERSION.length()));
		else
			throw new RuntimeException(MimFileLinesUtil.MIM_FILE_ERROR_STR + ".  First line: \"" + firstLine + "\"");


		return versionStr;
	}
	
//	public String getFirstLine(List<String> fileLines) throws IOException {
//		
//		FileReader fr = null;
//		BufferedReader br = null;
//		String firstLine = "";
//		
//		try {
//			fr = new FileReader(f);
//			br = new BufferedReader(fr);
//
//			//	line 1
//			
//			while (((firstLine=br.readLine()) != null) && (StringUtils.isBlank(firstLine)))
//					firstLine = br.readLine();
//			
////			int n = StringUtils.indexOfIgnoreCase(firstLine, MimFileUtil.VGUID);
////			
////			String vguidStr = "";
////			if (n > -1)
////				vguidStr = StringUtils.strip(StringUtils.substring(firstLine, n + MimFileUtil.VGUID.length()));
////			else
////				throw new IOException("First line of MIM file must contain \"" + MimFileUtil.VGUID + "\"");
////
////			SimpleDateFormat sdf = new SimpleDateFormat();
////			
////			//	2nd line
////			firstLine = br.readLine();
////			
////			while ((firstLine = br.readLine()) != null) {
////
////				firstLine = br.readLine();
////			}
//
//		} catch (IOException ex) {
//
//			logger.error(ex);
//			throw ex;
//		} finally {
//			
//			try {
//			 if (br!=null)
//				 br.close();
//			} catch (IOException ex) {
//				logger.error(ex);
//			}
//			
//			try {
//			 if (br!=null)
//				 fr.close();
//			} catch (IOException ex) {
//				logger.error(ex);
//			}
//		}
//		
//		return firstLine;
//
//	}
}
