package com.corp.serv.reports.service;

import java.io.IOException;
import java.util.List;

import javax.ejb.Stateless;

import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;

import com.corp.serv.reports.filelinesloaders.MimFileLinesLoaderI;
import com.corp.serv.reports.filelinesloaders.MimFileLinesLoaderV0_1;
import com.corp.serv.reports.filelinesloaders.MimFileLinesUtil;

//@Stateless(mappedName="ReportServiceEJB")
//@Remote ({com.corp.serv.reports.service.ReportServiceI.class})
@Stateless
public class ReportService implements ReportServiceI {

	final static String VGUID = "VGUID:";
	final static String MIM_FILE_UNSUPPORTED_VERSION = "Unsupported MIM File Version: ";
	static final String MIM_DATE_FORMAT_STR = "MMM d H:m:s";
	
	public static Logger logger = Logger.getLogger(ReportService.class);
	
	public String testAlive() {return ReportService.class.getName() + " is alive.";}

	//	To do	Assure that this is a MIM file (should have Endpoint in first line ?)
	
	public void uploadMimFile(List<String> f) throws IOException {

		MimFileLinesUtil mfu = new MimFileLinesUtil(); 
		String mimFileVersion = mfu.getMimFileVersion(f);
		
		MimFileLinesLoaderI mimFileLoader = null;
		if (StringUtils.equalsIgnoreCase(mimFileVersion, "0.1"))
			mimFileLoader = new MimFileLinesLoaderV0_1();
		else
			throw new IOException(ReportService.MIM_FILE_UNSUPPORTED_VERSION + mimFileVersion);
		
		mimFileLoader.loadMimFileLines(f);
	}
	

}
