package com.corp.serv.reports.ws.client;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.List;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import com.corp.serv.reports.ws.server.ReportServiceWSI;

public class ReportClient {

	private static final QName SERVICE_NAME = 
			new QName("http://www.serv.corp.com/services/reports/ReportService", "ReportService");

	private static final String wsdlStr = "?wsdl";
	
	public void uploadMimFileTo(List<String> fileLines, String endpointAddress) throws IOException {
		
		
		ReportServiceWSI reportService = getReportService(endpointAddress);
		reportService.uploadMimFile(fileLines);
	}


	public String testAlive(String endpointAddress) throws MalformedURLException {
		
		ReportServiceWSI reportService = getReportService(endpointAddress);
		return reportService.testAlive();
	}
	
	public ReportServiceWSI getReportService(String endpointAddress) throws MalformedURLException {
		
		if (!endpointAddress.endsWith(wsdlStr))
			endpointAddress += wsdlStr;
		
		URL url = new URL(endpointAddress);
		Service service = Service.create(url, SERVICE_NAME);
		ReportServiceWSI reportService = service.getPort(ReportServiceWSI.class);
		
		return reportService;
	}


}
