package com.corp.serv.reports.ws.server;

import java.io.IOException;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.jws.WebService;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.log4j.Logger;

import com.corp.serv.reports.service.ReportServiceI;

@WebService(
	targetNamespace = "http://www.serv.corp.com/services/reports/ReportService", 
	portName="ReportPort",
	serviceName="ReportService", 
	endpointInterface="com.corp.serv.reports.ws.server.ReportServiceWSI")
//@Stateless
public class ReportServiceWS implements ReportServiceWSI {

	//	@EJB injections fail (all of them)
//	@EJB
//	@EJB(mappedName="ReportServiceEJB")
//	@EJB(beanInterface=ReportServiceI.class)
//	@EJB(lookup="java:global/servreports/ReportService")
	ReportServiceI reportService;

	public static Logger logger = Logger.getLogger(ReportServiceWS.class);

	//	JNDI lookup works
	@PostConstruct
	void init () {
		
		try {
			InitialContext context = new InitialContext();
//			reportService = (ReportServiceI)context.lookup("java:global/servreports/ReportServiceI");
			reportService = (ReportServiceI)context.lookup("java:global/servreports/ReportService");
		}
		catch (NamingException ex) {
			logger.error(ex);
			
		}
	}
	
	public String testAlive() {
	
		if (reportService == null)
			return "@EJB injection failed in " + ReportServiceWS.class.getName();
		
		return reportService.testAlive();
		
	}
	
	public void uploadMimFile(List<String> fileLines) throws IOException {
	
		//	reportService.uploadMimFile(fileLines);
	}

}
